Subject: [nemo] Comments on Proposed New Charter

From: "James Kempf" <[email-masked]>
Date: Mon, 1 May 2006 11:19:02 -0700

Comments on the proposed new charter. I'm sorry it has taken so long.

The first five paragraphs seem like they are taken more or less from the old 
charter with very little thought given to what the WG intends to accomplish 
in the future. For example,

>The WG will take a stepwise approach by standardizing some basic
>support mechanisms based on the bidirectional tunneling approach, and
>at the same time study the possible approaches and issues with
>providing more optimal routing than can be had with (potentially
> nested) tunneling. However, the WG is not chartered to actually
> standardize a solution to such route optimization for mobile networks
> at this point in time.

But later the text says that a route optimization will, in fact, be 
standardized. The introduction to the charter should be more specific to 
what the WG intends to accomplish in the next phase. It can have some words 
about what was accomplished and how the WG intends to build on that, but it 
shouldn't include any constraints or assumptions under which the previous 
charter was developed, if those constraints or assumptions have changed.

IMO, I think it would be useful at this time to lift the constraint that the 
WG only study bidirectional tunneling based solutions which utilize MIP 
signaling. In particular, there is at least one deployment case (Connexion) 
that needs a route optimized solution which might not be best served by RFC 
3963. In general, I think it would be worthwhile to explicitly state which 
cases of route optimization are considered to be sufficiently well-enough 
understood that they will be included in work and which cases are still 
imperfectly understood and are rather topics for IRTF. This would not only 
help focus the charter, but also give some impetus to researchers to help 
understand these cases.

The list of WG Goals seems mostly to consist of completion of WG drafts that 
are currently underway. This is OK, and probably no more need be said about 
them since the current versions speak for themselves. There are in addition 
three new drafts that are listed in the Goals, one on route optimization, 
one on MNN visibility, and one on (n,n,n) ingress filtering. But the body of 
the charter says very little about what these drafts are about. The 
discussion of route optimization is, as mentioned, contradictory and 
somewhat vague, the discussion of MNN visibility is fairly generic, and 
AFICT, there is no discussion of (n,n,n) ingress filtering.

I am very much in favor of making WG charters very specific. It helps to 
avoid ambiguity about what the WG is intending to accomplish, and also helps 
focus the energy of the WG and avoid having it become distracted by other 
proposals that tend to pop up, until the originally promised work is 
completed. Therefore, I would recommend that the charter include a bulleted 
list with three items corresponding to each of these new drafts, with each 
item giving a concise but complete description of what the promised draft is 
intended to accomplish. If there are existing individual drafts that cover 
these, the descriptions can be based on the individual drafts. Also, it 
might be helpful to be more specific about the goals and their timing. 
Rather than just a single goal, have a list that correspond to the process: 
00 WG draft selected by this time, WG last call by this time, submission to 
IESG by this time.

Hope that helps.

            jak

---

From: Marshall Eubanks <[email-masked]>
Date: Tue, 2 May 2006 12:00:59 -0400

Hello;

Are these comments on the "charter2" of March 22nd ? Or is there a  
newer one ?

Regards
Marshall Eubanks

On May 1, 2006, at 2:19 PM, James Kempf wrote:

> The first five paragraphs seem like they are taken more or less  
> from the old charter with very little thought given to what the WG  
> intends to accomplish in the future. For example,
>
> standardized. The introduction to the charter should be more  
> specific to what the WG intends to accomplish in the next phase. It  
> can have some words about what was accomplished and how the WG  
> intends to build on that, but it shouldn't include any constraints  
> or assumptions under which the previous charter was developed, if  
> those constraints or assumptions have changed.
>
> IMO, I think it would be useful at this time to lift the constraint  
> that the WG only study bidirectional tunneling based solutions  
> which utilize MIP signaling. In particular, there is at least one  
> deployment case (Connexion) that needs a route optimized solution  
> which might not be best served by RFC 3963. In general, I think it  
> would be worthwhile to explicitly state which cases of route  
> optimization are considered to be sufficiently well-enough  
> understood that they will be included in work and which cases are  
> still imperfectly understood and are rather topics for IRTF. This  
> would not only help focus the charter, but also give some impetus  
> to researchers to help understand these cases.
>
> The list of WG Goals seems mostly to consist of completion of WG  
> drafts that are currently underway. This is OK, and probably no  
> more need be said about them since the current versions speak for  
> themselves. There are in addition three new drafts that are listed  
> in the Goals, one on route optimization, one on MNN visibility, and  
> one on (n,n,n) ingress filtering. But the body of the charter says  
> very little about what these drafts are about. The discussion of  
> route optimization is, as mentioned, contradictory and somewhat  
> vague, the discussion of MNN visibility is fairly generic, and  
> I am very much in favor of making WG charters very specific. It  
> helps to avoid ambiguity about what the WG is intending to  
> accomplish, and also helps focus the energy of the WG and avoid  
> having it become distracted by other proposals that tend to pop up,  
> until the originally promised work is completed. Therefore, I would  
> recommend that the charter include a bulleted list with three items  
> corresponding to each of these new drafts, with each item giving a  
> concise but complete description of what the promised draft is  
> intended to accomplish. If there are existing individual drafts  
> that cover these, the descriptions can be based on the individual  
> drafts. Also, it might be helpful to be more specific about the  
> goals and their timing. Rather than just a single goal, have a list  
> that correspond to the process: 00 WG draft selected by this time,  
> WG last call by this time, submission to IESG by this time.
>
> Hope that helps.
>
>            jak
>
>
>
>

---

From: "James Kempf" <[email-masked]>
Date: Tue, 2 May 2006 09:57:03 -0700

I got the charter on 4/6 via the Mobility Directorate. I don't know if it 
has been reissued, but I haven't heard anything to that effect.

            jak

----- Original Message ----- 
From: "Marshall Eubanks" <[email-masked]>
To: "James Kempf" <[email-masked]>
Cc: <[email-masked]>
Sent: Tuesday, May 02, 2006 9:00 AM
Subject: Re: [nemo] Comments on Proposed New Charter

> Hello;
>
> Are these comments on the "charter2" of March 22nd ? Or is there a  newer 
> one ?
>
> Regards
> Marshall Eubanks
>
>> The first five paragraphs seem like they are taken more or less  from the 
>> old charter with very little thought given to what the WG  intends to 
>> accomplish in the future. For example,
>>
>> what the WG intends to accomplish in the next phase. It  can have some 
>> words about what was accomplished and how the WG  intends to build on 
>> that, but it shouldn't include any constraints  or assumptions under 
>> which the previous charter was developed, if  those constraints or 
>> assumptions have changed.
>>
>> IMO, I think it would be useful at this time to lift the constraint  that 
>> the WG only study bidirectional tunneling based solutions  which utilize 
>> MIP signaling. In particular, there is at least one  deployment case 
>> (Connexion) that needs a route optimized solution  which might not be 
>> best served by RFC 3963. In general, I think it  would be worthwhile to 
>> explicitly state which cases of route  optimization are considered to be 
>> sufficiently well-enough  understood that they will be included in work 
>> and which cases are  still imperfectly understood and are rather topics 
>> for IRTF. This  would not only help focus the charter, but also give some 
>> impetus  to researchers to help understand these cases.
>>
>> The list of WG Goals seems mostly to consist of completion of WG  drafts 
>> that are currently underway. This is OK, and probably no  more need be 
>> said about them since the current versions speak for  themselves. There 
>> are in addition three new drafts that are listed  in the Goals, one on 
>> route optimization, one on MNN visibility, and  one on (n,n,n) ingress 
>> filtering. But the body of the charter says  very little about what these 
>> drafts are about. The discussion of  route optimization is, as mentioned, 
>> contradictory and somewhat  vague, the discussion of MNN visibility is 
>> fairly generic, and  AFICT, there is no discussion of (n,n,n) ingress 
>> filtering.
>>
>> avoid ambiguity about what the WG is intending to  accomplish, and also 
>> helps focus the energy of the WG and avoid  having it become distracted 
>> by other proposals that tend to pop up,  until the originally promised 
>> work is completed. Therefore, I would  recommend that the charter include 
>> a bulleted list with three items  corresponding to each of these new 
>> drafts, with each item giving a  concise but complete description of what 
>> the promised draft is  intended to accomplish. If there are existing 
>> individual drafts  that cover these, the descriptions can be based on the 
>> individual  drafts. Also, it might be helpful to be more specific about 
>> the  goals and their timing. Rather than just a single goal, have a list 
>> that correspond to the process: 00 WG draft selected by this time,  WG 
>> last call by this time, submission to IESG by this time.
>>
>> Hope that helps.
>>
>>            jak
>>
>>
>>
>>
>
>

---

From: Alexandru Petrescu <[email-masked]>
Date: Tue, 02 May 2006 22:27:44 +0200

James Kempf wrote:
> The first five paragraphs seem like they are taken more or less from 
> the old charter with very little thought given to what the WG intends
>  to accomplish in the future. For example,
> 
>> support mechanisms based on the bidirectional tunneling approach, 
>> and at the same time study the possible approaches and issues with
>> standardize a solution to such route optimization for mobile 
>> networks at this point in time.
> 
> standardized. The introduction to the charter should be more specific
>  to what the WG intends to accomplish in the next phase. It can have 
> some words about what was accomplished and how the WG intends to 
> build on that, but it shouldn't include any constraints or 
> assumptions under which the previous charter was developed, if those 
> constraints or assumptions have changed.

I agree, I think the initial part of the charter should be re-written to
say that 3963 may not be sufficient in some cases, and some specific
needs for enhancements exist.  But that initial part should still
mention work on basic network mobility support - for IPv4.

Alex